# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1153  -> 1.1154 
#	drivers/acpi/Config.in	1.14    -> 1.15   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/11/20	len.brown@intel.com	1.1154
# [ACPI]  fix xconfig failure (Matt Wilcox)
# http://bugzilla.kernel.org/show_bug.cgi?id=1568
# 
# --------------------------------------------
#
diff -Nru a/drivers/acpi/Config.in b/drivers/acpi/Config.in
--- a/drivers/acpi/Config.in	Thu Nov 20 22:12:38 2003
+++ b/drivers/acpi/Config.in	Thu Nov 20 22:12:38 2003
@@ -32,7 +32,8 @@
     tristate     '  Toshiba Laptop Extras'	CONFIG_ACPI_TOSHIBA
     bool         '  Debug Statements'	CONFIG_ACPI_DEBUG
     bool         '  Relaxed AML Checking'	CONFIG_ACPI_RELAXED_AML
-  else if [ "$CONFIG_SMP" = "y" ]; then
+  else
+    if [ "$CONFIG_SMP" = "y" ]; then
       define_bool CONFIG_ACPI_BOOT		y
     fi
   fi
